1

I'm having problem on installing brownie for python. I've install latest python 3.9.6 and also install pipx. Any suggestion to solve this?thanks

PS C:\Users\dohva\Documents\Github Repo\cointoken> pipx install eth-brownie
Error: Command '['C:\\Users\\dohva\\.local\\pipx\\shared\\Scripts\\python.exe', '-Im', 'ensurepip', '--upgrade', '--default-pip'' failed]' returned non-zero exit status 1.

'c:\\users\\dohva\\appdata\\local\\programs\\python\\python39\\python.exe -m venv --clear C:\\Users\\dohva\\.local\\pipx\\shared]' returned non-z' failed
PS C:\Users\dohva\Documents\Github Repo\cointoken> py -m venv /path/to/new/virtual/environment
PS C:\Users\dohva\Documents\Github Repo\cointoken> pipx install eth-brownie                                                     ' failed
Error: Command '['C:\\Users\\dohva\\.local\\pipx\\shared\\Scripts\\python.exe', '-Im', 'ensurepip', '--upgrade', '--default-pip']' returned non-zero exit status 1.
                                                                                                                                ]' returned non-z
'c:\\users\\dohva\\appdata\\local\\programs\\python\\python39\\python.exe -m venv --clear C:\\Users\\dohva\\.local\\pipx\\shared' failed
PS C:\Users\dohva\Documents\Github Repo\cointoken> brownie                                                                      ' failed
Traceback (most recent call last):
  File "C:\Users\dohva\AppData\Local\Programs\Python\Python39\Scripts\brownie-script.py", line 33, in <module>
    sys.exit(load_entry_point('eth-brownie==1.15.2', 'console_scripts', 'brownie')())
  File "C:\Users\dohva\AppData\Local\Programs\Python\Python39\Scripts\brownie-script.py", line 22, in importlib_load_entry_point    for entry_point in distribution(dist_name).entry_points
  File "C:\Program Files\Python39\Lib\importlib\metadata.py", line 524, in distribution
    return Distribution.from_name(distribution_name)
  File "C:\Program Files\Python39\Lib\importlib\metadata.py", line 187, in from_name
    raise PackageNotFoundError(name)
importlib.metadata.PackageNotFoundError: eth-brownie
PS C:\Users\dohva\Documents\Github Repo\cointoken>

1 Answer 1

1

i got the same error.

make sure to install cython first

pip install cython

Then you can install brownie using pip instead of pix

pip install eth-brownie

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.